QGIS Application - Bug report #11056
Extend closestSegmentWithContext to all WkbTypes
2014-08-14 06:45 PM - Caio Hamamura

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19390
Description

closestSegmentWithContext is a great functionality. | think that it would be very useful if you could provide any WkbType instead of
QgsPoint.

If I need to find the closest segment to a WkbPolygon for example | would have to loop through all points and will have a poor performance
in python.

History

#1 - 2016-03-25 07:11 AM - Alexander Bruy
- Category deleted (PyQGIS Console)

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown

#4 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
